## synfig 1.5.1%2Bdfsg

=== synfig-core/src/modules/mod_openexr/CMakeLists.txt ===
add_library(mod_openexr MODULE
        "${CMAKE_CURRENT_LIST_DIR}/trgt_openexr.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/mptr_openexr.cpp"
)

message(STATUS "OpenEXR include: ${OPENEXR_INCLUDE_DIRS}")

target_include_directories(mod_openexr SYSTEM PRIVATE ${OPENEXR_INCLUDE_DIRS})

target_link_libraries(mod_openexr synfig ${OPENEXR_LIBRARIES})

install (
    TARGETS mod_openexr
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/synfig/rendering/CMakeLists.txt ===
target_sources(synfig
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/optimizer.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderqueue.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/resource.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/surface.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/task.cpp"
)

file(GLOB RENDERING_HEADERS "${CMAKE_CURRENT_LIST_DIR}/*.h")

install(
    FILES ${RENDERING_HEADERS}
    DESTINATION include/synfig/rendering
)

## TODO: make configurable
include(${CMAKE_CURRENT_LIST_DIR}/common/CMakeLists.txt)
# include(${CMAKE_CURRENT_LIST_DIR}/opengl/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/primitive/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/software/CMakeLists.txt)

=== synfig-core/src/synfig/rendering/common/CMakeLists.txt ===
target_sources(synfig
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/surfacefile.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/surfacememoryreadwrapper.cpp"
)

include(${CMAKE_CURRENT_LIST_DIR}/optimizer/CMakeLists.txt)
include(${CMAKE_CURRENT_LIST_DIR}/task/CMakeLists.txt)

## synfig 1.5.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

project(synfig-studio)
set(STUDIO_VERSION_MAJOR 1)
set(STUDIO_VERSION_MINOR 5)
set(STUDIO_VERSION_PATCH 0)

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE Debug)
endif()

set(SYNFIG_BUILD_ROOT ${CMAKE_BINARY_DIR}/output/${CMAKE_BUILD_TYPE})

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SYNFIG_BUILD_ROOT}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${SYNFIG_BUILD_ROOT}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SYNFIG_BUILD_ROOT}/bin)

# for multi-config builds (e.g. msvc)
foreach(CONFIG_TYPE  ${CMAKE_CONFIGURATION_TYPES})
	string(TOUPPER ${CONFIG_TYPE} CONFIG_TYPE)
	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_${CONFIG_TYPE} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
	set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CONFIG_TYPE} ${CMAKE_LIBRARY_OUTPUT_DIRECTORY})
	set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CONFIG_TYPE} ${CMAKE_ARCHIVE_OUTPUT_DIRECTORY})
endforeach(CONFIG_TYPE CMAKE_CONFIGURATION_TYPES)

if(DEFINED ENV{VCPKG_ROOT} AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
	set(CMAKE_TOOLCHAIN_FILE "$ENV{VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake" CACHE STRING "")
endif()

# MSYS is defined for MSYS Makefiles generator and undefined for Ninja (for example)
# But if you run CMake from MSYS shell, we can still detect MSYS by environment variables (MINGW_PREFIX)
# https://gitlab.kitware.com/cmake/community/-/wikis/doc/tutorials/How-To-Write-Platform-Checks
if(MINGW)
	if(NOT DEFINED ENV{MINGW_PREFIX})
		if(MSYS)
			set(ENV{MINGW_PREFIX} "c:\\msys64\\mingw64\\")
		else()
			message(FATAL_ERROR "Currently we only support MSYS2 environment for MinGW compiler on Windows."
					" Please pass '-DMSYS=1' to your CMake command to force using MSYS."
					" Also you need to set MINGW_PREFIX environment variable if your MSYS2 installation is not in standard path (c:\\msys64\\mingw64)")
		endif()
	endif()
	set(MSYS ON)
	set(MSYS_ROOT "$ENV{MINGW_PREFIX}/..")
endif()

#set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
#set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

if(MSVC)
	add_definitions(-D_USE_MATH_DEFINES) # <cmath> header need this define to add M_PI define
	add_definitions(-DNOMINMAX) # windows.h defines min/max and brokes std::min/max

	## /MP Enable multi-processor compilation (faster)
	add_compile_options(/MP /W0 /bigobj)
	set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
else()
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-inline-functions -fno-inline -g -O0 -Wall")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-inline-functions -fno-inline -g -O0 -Wall")
endif(MSVC)

# This can be enabled once the address sanitization related errors are resolved.
#set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fsanitize=undefined  -fsanitize=address -fno-omit-frame-pointer")
#set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=undefined  -fsanitize=address  -fno-omit-frame-pointer")

message("-- CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")

if (${ENABLE_TESTS})
	enable_testing()
endif()

include(SynfigFindGit)

add_subdirectory(ETL)
include_directories(ETL)
include_directories(${PROJECT_BINARY_DIR}/ETL) # to find the generated etl_profile.h

# Manually setting ETL Version.
set(ETL_VERSION "1.5.0")

add_subdirectory(synfig-core)

include_directories(synfig-core/src)
add_subdirectory(synfig-studio)

if(MSYS)
	include(InstallMSYS2)
endif()

include(CPackConfig)

=== ETL/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ETL)

option(ENABLE_TESTS "Enable tests" OFF)

add_subdirectory(ETL)

if (${ENABLE_TESTS})
    enable_testing()
    add_subdirectory(test)
endif()

=== synfig-docs/Makefile ===
#Author: Jaime Irving Davila
#Date: 23/09/2001
#Modified on 15/04/2002
#Given to the public domain

#Variables useful for the customization of the makefile

#Name of the document (without the sgml extension)

DOC = synfig-studio

#Name of the file used for the index (without the sgml extension)
INDEX = index

#Name of the compiler of the sgml, could be jade, openjade, ..
COMPILER = openjade

#Location of the stylesheet for the html output

DBSTYLESHEET = /usr/share/sgml/docbook/stylesheet/dsssl/ldp/ldp.dsl

#Options for generating multiple HTML output
MULTIPLEHTMLOPT = -t sgml -ihtml -d${DBSTYLESHEET}\#html 

#Name of the directory for the source sgml
SGMLDIR = en

#Name of the directory for the "others" files
OTHERSDIR = ${SGMLDIR}/others

#Name of the directory for the png files
PNGDIR = png

RESULTDIR = result/${SGMLDIR}

#Name of the directory for the output of the multiple html
MULTIPLEHTMLDIR = ${RESULTDIR}/out-htmls

#Name of the directory for the output the ps file
PSDIR = ${RESULTDIR}/out-ps

#Name of the script which generates the ps file, in RedHat it's db2ps
SCRIPTPS = db2ps

#Name of the directory for the temp and tmp-output the pdf file
PDFDIR = ${RESULTDIR}/tmp-pdf
#Name of the script which generates the ps file, in RedHat it's db2ps
SCRIPTPDF = db2pdf

#Variables needed by the rules, should NOT be changed
#Variable for including the sgml source file
VPATH = ${SGMLDIR}

#Variable for knowing if there exists the sgml index file, in case it
#NOT exists its value is empty, otherwise it's the name of the index
ISINDEX = ${findstring ${INDEX}, ${wildcard ${SGMLDIR}/*.sgml}}

#Variable for knowing if the tag init will be needed
ifneq (${ISINDEX}, ${INDEX})
	USEINIT = init
endif

#Variable for storing the name of all the sgml source files directory
SRCFILES = $(patsubst ${SGMLDIR}/${INDEX}.sgml,,$(wildcard ${SGMLDIR}/*))

#Variable for storing the name of all the files in the "others" directory
OTHERFILES = $(wildcard ${OTHERSDIR}/*)

#Variable for storing the names of the "others" files placed in the

#Variable for storing the names of the "others" files placed in the
#multiple-html directory
OTHERMULTIPLE = $(patsubst ${SGMLDIR}/others/%, ${MULTIPLEHTMLDIR}/%, ${OTHERFILES} )

#Variable for storing the names of the png's pictures
PNGFILES = $(wildcard ${PNGDIR}/*.png)

#Variable for storing the names of the png's files placed on the

#Variable for storing the names of the png's files placed on the
#single-html directory
PNGMULTIPLE = $(patsubst ${PNGDIR}/%, ${MULTIPLEHTMLDIR}/%, ${PNGFILES})

#Variable for storing the names of the eps files
FIGEPS = $(patsubst ${PNGDIR}/%.png, ${PSDIR}/%.eps, ${PNGFILES})

PATH_LANG = ${CURDIR}/${SGMLDIR}

all: multiple-html ps pdf

.PHONY: all clean init cpfilessingle multiple-html cpfilesmultiple distsource ps

#Rules needed for generating multiple html files

multiple-html: ${MULTIPLEHTMLDIR}/${DOC}.html cpfilesmultiple

${MULTIPLEHTMLDIR}/${DOC}.html: ${MULTIPLEHTMLDIR} ${INDEX}.sgml.m ${SGMLDIR}/${DOC}.tmp.sgml
	#cp -f ${SGMLDIR}/${INDEX}.sgml.m ${SGMLDIR}/${INDEX}.sgml
	${COMPILER} ${MULTIPLEHTMLOPT} ${SGMLDIR}/${DOC}.tmp.sgml
	mv *.html ${MULTIPLEHTMLDIR}

${SGMLDIR}/${DOC}.tmp.sgml: ${SGMLDIR}/${DOC}.sgml
	sed "s:##PATHLANG##:${PATH_LANG}:" ${SGMLDIR}/${DOC}.sgml > ${SGMLDIR}/${DOC}.tmp.sgml

HTML.index.m: ${DOC}.sgml ${SRCFILES} ${USEINIT} ${SGMLDIR}/${DOC}.tmp.sgml
	${COMPILER} ${MULTIPLEHTMLOPT} -V html-index ${SGMLDIR}/${DOC}.tmp.sgml > /dev/null
	mv HTML.index ${SGMLDIR}/HTML.index.m
	rm *.html

${INDEX}.sgml.m: HTML.index.m
	perl -S collateindex.pl -o ${SGMLDIR}/${INDEX}.sgml.m ${SGMLDIR}/HTML.index.m

${MULTIPLEHTMLDIR}:
	mkdir -p ${MULTIPLEHTMLDIR}

cpfilesmultiple: ${PNGMULTIPLE} ${OTHERMULTIPLE}

${MULTIPLEHTMLDIR}/%.png: ${PNGDIR}/%.png
	cp -rf $< $@

${MULTIPLEHTMLDIR}/%: ${OTHERSDIR}/%
	cp -rf $< $@

#Rules needed for generating the ps file

ps: ${PSDIR}/${DOC}.ps

${PSDIR}/${DOC}.ps: ${PSDIR} ${FIGEPS} ${INDEX}.sgml.m
	cp -rf ${SGMLDIR}/*.sgml ${PSDIR}
	cd ${PSDIR}; ${SCRIPTPS} ${DOC}.tmp.sgml ; mv ${DOC}.tmp.ps ${DOC}.ps
	cd ..

${PSDIR}/%.eps: ${PNGDIR}/%.png ${PSDIR}
	convert $< $@

${PSDIR}:
	mkdir -p ${PSDIR}

#Rules needed for generating the pdf file

pdf: ${PDFDIR}/${DOC}.pdf

${PDFDIR}/${DOC}.pdf: ${PDFDIR} ${INDEX}.sgml.m
	cp -rf ${PNGDIR}/* ${PDFDIR}
	cp -rf ${SGMLDIR}/*.sgml ${PDFDIR}
	cp -rf ${SGMLDIR}/* ${PDFDIR}
	mv ${PDFDIR}/${DOC}.tmp.sgml ${PDFDIR}/${DOC}.sgml
	cd ${PDFDIR};${SCRIPTPDF} ${DOC}.sgml
	cd ..

${PDFDIR}:
	mkdir -p ${PDFDIR}

#Some additional and standard tags
init:
	perl -S collateindex.pl -N -o ${SGMLDIR}/${INDEX}.sgml

distsource: clean
	tar cvfz ${DOC}.tar.gz *

clean:
	rm -rf ${MULTIPLEHTMLDIR} ${SGMLDIR}/*.index.* ${SGMLDIR}/${INDEX}.sgml* nil ${PSDIR} ${PDFDIR}

=== ETL/ETL/CMakeLists.txt ===
## TODO: install headers properly

configure_file(
    etl_profile.h.cmake.in
    ${PROJECT_BINARY_DIR}/ETL/etl_profile.h
)

set(ETL_HEADERS
        "${CMAKE_CURRENT_LIST_DIR}/calculus"
        "${CMAKE_CURRENT_LIST_DIR}/misc"
        "${CMAKE_CURRENT_LIST_DIR}/hermite"
        "${CMAKE_CURRENT_LIST_DIR}/fixed"
        "${CMAKE_CURRENT_LIST_DIR}/surface"
        "${CMAKE_CURRENT_LIST_DIR}/clock"
        "${CMAKE_CURRENT_LIST_DIR}/stringf"
        "${CMAKE_CURRENT_LIST_DIR}/boxblur"
        "${CMAKE_CURRENT_LIST_DIR}/smart_ptr"
        "${CMAKE_CURRENT_LIST_DIR}/ref_count"
        "${CMAKE_CURRENT_LIST_DIR}/pen"
        "${CMAKE_CURRENT_LIST_DIR}/angle"
        "${CMAKE_CURRENT_LIST_DIR}/bezier"
        "${CMAKE_CURRENT_LIST_DIR}/gaussian"
        "${CMAKE_CURRENT_LIST_DIR}/handle"
#     PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/_ref_count.h"
        "${CMAKE_CURRENT_LIST_DIR}/_surface.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smart_ptr.h"
        "${CMAKE_CURRENT_LIST_DIR}/_pen.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_boxblur.h"
        "${CMAKE_CURRENT_LIST_DIR}/_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/etl_config.h"
        "${CMAKE_CURRENT_LIST_DIR}/_stringf.h"
        "${CMAKE_CURRENT_LIST_DIR}/_calculus.h"
        "${CMAKE_CURRENT_LIST_DIR}/_misc.h"
        "${CMAKE_CURRENT_LIST_DIR}/_hermite.h"
        "${CMAKE_CURRENT_LIST_DIR}/_fixed.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier.h"
        "${CMAKE_CURRENT_LIST_DIR}/_curve_func.h"
        "${CMAKE_CURRENT_LIST_DIR}/_handle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_gaussian.h"

# autogenerated
        "${PROJECT_BINARY_DIR}/ETL/etl_profile.h" 
)

install(
    FILES ${ETL_HEADERS}
    DESTINATION include/ETL
)

=== perf/scripts/requirements.txt ===
certifi>=2020.6.20
cycler>=0.10.0
kiwisolver>=1.2.0
matplotlib>=3.3.2
numpy>=1.19.2
Pillow>=8.1.1
pkg-resources>=0.0.0
pyparsing>=2.4.7
python-dateutil>=2.8.1
six>=1.15.0

=== synfig-core/po/CMakeLists.txt ===
include(SynfigGettext)
file(STRINGS LINGUAS PO_LANGUAGES)

SYNFIG_PROCESS_PO_FILES(
    ALL
    TARGET_NAME build_pofiles_synfig
    MO_NAME synfig
    LANGUAGES ${PO_LANGUAGES}
    INSTALL_DESTINATION share/locale
)

=== synfig-core/src/tool/CMakeLists.txt ===
## Command line synfig binary
add_executable(synfig_bin main.cpp)
set_target_properties(synfig_bin PROPERTIES OUTPUT_NAME synfig)

# TODO: more full list of features
target_compile_features(synfig_bin PUBLIC
    cxx_auto_type
    cxx_lambdas
    cxx_override
)

target_sources(synfig_bin
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/definitions.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/joblistprocessor.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/optionsprocessor.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/printing_functions.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderprogress.cpp"
)

target_link_libraries(synfig_bin synfig)
target_link_libraries(synfig_bin
    ${Boost_SYSTEM_LIBRARIES}
    ${GIOMM_LIBRARIES}
)

install (
    TARGETS synfig_bin
    DESTINATION bin
)

=== synfig-core/src/modules/lyr_std/CMakeLists.txt ===
add_library(lyr_std MODULE
        "${CMAKE_CURRENT_LIST_DIR}/bevel.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/booleancurve.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/clamp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/curvewarp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/freetime.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/import.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/insideout.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/julia.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/mandelbrot.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/rotate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/shade.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/sphere_distort.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/stretch.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/stroboscope.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/supersample.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timeloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/translate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/twirl.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/perspective.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/xorpattern.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/zoom.cpp"
)

target_link_libraries(lyr_std synfig ${GLIBMM_LIBRARIES})

install (
    TARGETS lyr_std
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_bmp/CMakeLists.txt ===
add_library(mod_bmp MODULE
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/mptr_bmp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/trgt_bmp.cpp"
)

target_link_libraries(mod_bmp synfig)

install (
    TARGETS mod_bmp
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_dv/CMakeLists.txt ===
add_library(mod_dv MODULE
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/trgt_dv.cpp"
)

target_link_libraries(mod_dv synfig ${SIGCPP_LIBRARIES})

install (
    TARGETS mod_dv
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_imagemagick/CMakeLists.txt ===
add_library(mod_imagemagick MODULE
        "${CMAKE_CURRENT_LIST_DIR}/mptr_imagemagick.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/trgt_imagemagick.cpp"
)

target_link_libraries(mod_imagemagick synfig)

install (
    TARGETS mod_imagemagick
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_magickpp/CMakeLists.txt ===
add_library(mod_magickpp MODULE
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/trgt_magickpp.cpp"
)

target_include_directories(mod_magickpp PRIVATE ${ImageMagick_Magick++_INCLUDE_DIRS})
target_compile_options(mod_magickpp PRIVATE ${MAGICKCORE_CFLAGS})
target_link_libraries(mod_magickpp synfig ${MAGICKCORE_LIBRARIES} ${ImageMagick_LIBRARIES})

install (
    TARGETS mod_magickpp
    DESTINATION lib/synfig/modules
)

=== debian/changelog ===
synfig (1.5.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1063004)
  * Bump debhelper compat to v13.
  * debian/rules: Use execute_after syntax when available.
  * debian/not-installed: Add to exclude installation of .la files.
  * debian/libsynfig0a.install: Dropped, binary package now gone.
  * debian/control: Drop useless build-dependency autopoint.
  * debian/control: Update build-dependencies:
    + libgl1-mesa-dev => libgl-dev
    + libfontconfig1-dev => libfontconfig-dev
    + libfreetype6-dev => libfreetype-dev

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jul 2024 15:03:39 -0400

synfig (1.5.1+dfsg-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Feb 2024 11:45:00 +0000

synfig (1.5.1+dfsg-3) unstable; urgency=medium

  * New upstream patch to fix FTBFS with ffmpeg-5.0 (Closes: #1013460).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 15:06:27 +1000

synfig (1.5.1+dfsg-2) unstable; urgency=medium

  * New upstream patch to fix FTBFS/tests on i686.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Apr 2022 16:31:24 +1000

synfig (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed FTBFS issues (Closes: #1008386, #1007167).
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 13:51:25 +1000

=== debian/control ===
Source: synfig
Section: graphics
Priority: optional
Standards-Version: 4.6.0
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends:
 binutils,
 debhelper-compat (= 13),
 etl-dev (>= 1.5.1~),
 intltool,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libboost-all-dev,
 libcairo-dev,
 libfftw3-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgl-dev,
 libglibmm-2.4-dev,
 libjpeg-dev,
 libltdl-dev,
 libmagick++-dev,
 libmlt++-dev,
 libmlt-dev,
 libmng-dev,
 libopenexr-dev,
 libpango1.0-dev,
 libpng-dev,
 libsigc++-2.0-dev,
 libswscale-dev,
 libtiff-dev,
 libxml++2.6-dev,
Vcs-Browser: https://salsa.debian.org/multimedia-team/synfig
Vcs-Git: https://salsa.debian.org/multimedia-team/synfig.git
Homepage: http://www.synfig.org/
Rules-Requires-Root: no

Package: synfig
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 synfig-examples,
 synfigstudio,
Description: vector-based 2D animation renderer
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the command-line renderer, for the GUI animation
 editor, please install synfigstudio.

Package: libsynfig-dev
Section: libdevel
Architecture: any
Depends:
 etl-dev (>= 1.4.0~),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcairo-dev,
 libfftw3-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libglibmm-2.4-dev,
 libmlt++-dev,
 libopenexr-dev,
 libpango1.0-dev,
 libsigc++-2.0-dev,
 libswscale-dev,
 libsynfig0t64 (= ${binary:Version}),
 libxml++2.6-dev,
 ${misc:Depends},
Description: synfig library development files
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains headers and other files needed to develop
 applications using the shared library and plugin modules.

Package: libsynfig0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libsynfig0a
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
# libav-tools,
 imagemagick,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libdv-bin,
 ${misc:Recommends},
Breaks:
 libsynfig0a (<< ${source:Version}),
 synfigstudio (<< 0.64.2),
Conflicts:
 libsynfig0,
 libsynfig0v5,
Replaces:
 libsynfig0,
 libsynfig0a,
 libsynfig0v5,
Description: render library and plugins for synfig 2D animation
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the shared library and plugin modules for it.

Package: synfig-examples
Architecture: all
Multi-Arch: foreign
Suggests:
 synfigstudio,
Conflicts:
 libsynfig-doc,
Replaces:
 libsynfig-doc,
Depends:
 ${misc:Depends},
Description: synfig animation examples
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains several examples of synfig animations and stills.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --sourcedirectory=synfig-core

execute_after_dh_autoreconf:
	cd synfig-core && intltoolize --force --copy

override_dh_auto_configure:
	dh_auto_configure -- \
			--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			--sysconfdir=/etc/synfig \
			--enable-debug=half \
			--with-imagemagick \
			--without-included-ltdl
#			--with-opengl \
#			--with-libavcodec
#			--mandir=\$${prefix}/share/man \

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	## W:unknown-locale-code zh-Hant:
	$(RM) -rv $(CURDIR)/debian/tmp/usr/share/locale/zh-Hant

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_compress:
	dh_compress --exclude=.sifz

## synfig 1.5.3%2Bdfsg

=== synfig-core/src/modules/mod_dv/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
         "${CMAKE_CURRENT_LIST_DIR}/trgt_dv.cpp"
 )
 
-target_link_libraries(mod_dv synfig ${SIGCPP_LIBRARIES})
+target_link_libraries(mod_dv libsynfig)
 
 install (
     TARGETS mod_dv

## synfig 1.5.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,16 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.6)
+if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
+	cmake_policy(SET CMP0087 NEW)
+endif()
+
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
 project(synfig-studio)
 set(STUDIO_VERSION_MAJOR 1)
 set(STUDIO_VERSION_MINOR 5)
-set(STUDIO_VERSION_PATCH 0)
+set(STUDIO_VERSION_PATCH 3)
+
+option(ENABLE_TCMALLOC "Enable use of tcmalloc library" OFF)
 
 if(NOT CMAKE_BUILD_TYPE)
 	set(CMAKE_BUILD_TYPE Debug)
@@ -57,7 +63,7 @@
 	set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
 else()
 	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-inline-functions -fno-inline -g -O0 -Wall")
-	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-inline-functions -fno-inline -g -O0 -Wall")
+	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-inline-functions -fno-inline -g -O0 -Wall -D_GLIBCXX_ASSERTIONS -U_GLIBCXX_USE_DEPRECATED")
 endif(MSVC)
 
 # This can be enabled once the address sanitization related errors are resolved.
@@ -70,6 +76,11 @@
 	enable_testing()
 endif()
 
+if(ENABLE_TCMALLOC)
+	find_library(TCMALLOC_LIBRARY NAMES tcmalloc libtcmalloc.so.4 REQUIRED)
+	message(STATUS "TCMALLOC_LIBRARY: ${TCMALLOC_LIBRARY}")
+endif()
+
 include(SynfigFindGit)
 
 add_subdirectory(ETL)
@@ -77,7 +88,7 @@
 include_directories(${PROJECT_BINARY_DIR}/ETL) # to find the generated etl_profile.h
 
 # Manually setting ETL Version.
-set(ETL_VERSION "1.5.0")
+set(ETL_VERSION "1.5.3")
 
 add_subdirectory(synfig-core)
 
@@ -88,4 +99,5 @@
 	include(InstallMSYS2)
 endif()
 
+include(SynfigVcpkg)
 include(CPackConfig)

=== ETL/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ETL)

set(CMAKE_CXX_STANDARD 11)

add_subdirectory(ETL)

=== synfig-core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(synfig-core)

# using latest stable standard, but not strictly
# the rest is done via target_compile_features instead
set(CMAKE_CXX_STANDARD 11)

add_subdirectory(src)
add_subdirectory(po)

if (${ENABLE_TESTS})
    enable_testing()
    add_subdirectory(test)
endif()

add_dependencies(synfig_bin
    build_pofiles_synfig
)

=== ETL/ETL/CMakeLists.txt ===
## TODO: install headers properly

configure_file(
    etl_profile.h.cmake.in
    ${PROJECT_BINARY_DIR}/ETL/etl_profile.h
)

set(ETL_HEADERS
        "${CMAKE_CURRENT_LIST_DIR}/handle"
#     PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/_handle.h"

# autogenerated
        "${PROJECT_BINARY_DIR}/ETL/etl_profile.h" 
)

install(
    FILES ${ETL_HEADERS}
    DESTINATION include/ETL
)

=== synfig-core/src/CMakeLists.txt ===
##
## Find packages
##

find_package(ZLIB REQUIRED)
find_package(Intl REQUIRED)

## ETL doesn't install a package configuration so find package will fail
# find_package(ETL REQUIRED)


## TODO: investigate these more closely
set(CMAKE_THREAD_PREFER_PTHREAD ON)
set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
if (CMAKE_USE_PTHREADS_INIT)
    set(HAVE_LIBPTHREAD ON)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(SIGCPP REQUIRED IMPORTED_TARGET sigc++-2.0)
pkg_check_modules(GLIB REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GLIBMM REQUIRED IMPORTED_TARGET glibmm-2.4)
pkg_check_modules(GIOMM REQUIRED IMPORTED_TARGET giomm-2.4)
pkg_check_modules(XMLPP REQUIRED IMPORTED_TARGET libxml++-2.6)
pkg_search_module(MLT IMPORTED_TARGET mlt++-7 mlt++)
pkg_check_modules(FFTW REQUIRED IMPORTED_TARGET fftw3)
pkg_check_modules(LIBPNG REQUIRED IMPORTED_TARGET libpng) # for mod_png
#TODO(ice0): find solution for libmng
pkg_check_modules(LIBMNG IMPORTED_TARGET libmng) # for mod_mng (set as optional as it is not correctly installed in Debian)
pkg_check_modules(LIBJPEG REQUIRED IMPORTED_TARGET libjpeg) # for mod_mng
pkg_check_modules(OPENEXR IMPORTED_TARGET OpenEXR) # for mod_openexr
pkg_check_modules(MAGICKCORE IMPORTED_TARGET MagickCore) # for Magick++
pkg_check_modules(MAGICKPP IMPORTED_TARGET Magick++)
pkg_check_modules(FREETYPE2 REQUIRED IMPORTED_TARGET freetype2) # for lyr_freetype
pkg_check_modules(FONTCONFIG IMPORTED_TARGET fontconfig) # for FontConfig
pkg_check_modules(FRIBIDI REQUIRED IMPORTED_TARGET fribidi)
pkg_check_modules(HARFBUZZ REQUIRED IMPORTED_TARGET harfbuzz)
pkg_check_modules(LIBAVFORMAT IMPORTED_TARGET libavcodec libavformat libavutil libswresample libswscale)

if (NOT MLT_FOUND)
	add_definitions(-DWITHOUT_MLT) # disable MLT if not found
endif()

##
## Configure
##

# Check headers
include(CheckIncludeFile)
CHECK_INCLUDE_FILE(sys/wait.h  HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(signal.h    HAVE_SIGNAL_H)
CHECK_INCLUDE_FILE(termios.h   HAVE_TERMIOS_H)
CHECK_INCLUDE_FILE(process.h   HAVE_PROCESS_H)
CHECK_INCLUDE_FILE(io.h        HAVE_IO_H)
CHECK_INCLUDE_FILE(sys/fcntl.h HAVE_FCNTL_H)

# Check functions
include (CheckFunctionExists)
CHECK_FUNCTION_EXISTS(fork HAVE_FORK)
CHECK_FUNCTION_EXISTS(pipe HAVE_PIPE)
CHECK_FUNCTION_EXISTS(waitpid HAVE_WAITPID)

add_definitions(-DHAVE_CONFIG_H)
configure_file(config.h.cmake.in config.h)
configure_file(autorevision.h.cmake.in autorevision.h)

##
## Include
##

## for config
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

##
## CMake helpers
##

include(cmake/install_header.cmake)

##
## Sub-dirs
##

add_subdirectory(synfig)
add_subdirectory(tool)
add_subdirectory(modules)

##
## Build targets
##

=== synfig-core/test/CMakeLists.txt ===
# fixme(ice0): should be exported by synfig
include_directories(${PROJECT_SOURCE_DIR}/src)

add_executable(test_synfig_angle angle.cpp)
target_link_libraries(test_synfig_angle PRIVATE libsynfig)
add_test(NAME test_synfig_angle COMMAND test_synfig_angle)

add_executable(test_synfig_benchmark benchmark.cpp)
target_link_libraries(test_synfig_benchmark PRIVATE libsynfig)
add_test(NAME test_synfig_benchmark COMMAND test_synfig_benchmark)

add_executable(test_synfig_bezier hermite.cpp)
target_link_libraries(test_synfig_bezier PRIVATE libsynfig)
add_test(NAME test_synfig_bezier COMMAND test_synfig_bezier)

add_executable(test_synfig_bline bline.cpp)
target_link_libraries(test_synfig_bline PRIVATE libsynfig)
add_test(NAME test_synfig_bline COMMAND test_synfig_bline)

add_executable(test_synfig_bone bone.cpp)
target_link_libraries(test_synfig_bone PRIVATE libsynfig)
add_test(NAME test_synfig_bone COMMAND test_synfig_bone)

add_executable(test_synfig_clock clock.cpp)
target_link_libraries(test_synfig_clock PRIVATE libsynfig)
add_test(NAME test_synfig_clock COMMAND test_synfig_clock)

add_executable(test_synfig_filesystem_path filesystem_path.cpp)
target_link_libraries(test_synfig_filesystem_path PRIVATE libsynfig)
add_test(NAME test_synfig_filesystem_path COMMAND test_synfig_filesystem_path)

add_executable(test_synfig_handle handle.cpp)
target_link_libraries(test_synfig_handle PRIVATE libsynfig)
add_test(NAME test_synfig_handle COMMAND test_synfig_handle)

add_executable(test_synfig_keyframe keyframe.cpp)
target_link_libraries(test_synfig_keyframe PRIVATE libsynfig)
add_test(NAME test_synfig_keyframe COMMAND test_synfig_keyframe)

add_executable(test_synfig_node node.cpp)
target_link_libraries(test_synfig_node PRIVATE libsynfig)
add_test(NAME test_synfig_node COMMAND test_synfig_node)

add_executable(test_synfig_pen pen.cpp)
target_link_libraries(test_synfig_pen PRIVATE libsynfig)
add_test(NAME test_synfig_pen COMMAND test_synfig_pen)

add_executable(test_synfig_reference_counter reference_counter.cpp)
target_link_libraries(test_synfig_reference_counter PRIVATE libsynfig)
add_test(NAME test_synfig_reference_counter COMMAND test_synfig_reference_counter)

add_executable(test_synfig_string string.cpp)
target_link_libraries(test_synfig_string PRIVATE libsynfig)
add_test(NAME test_synfig_string COMMAND test_synfig_string)

add_executable(test_synfig_surface_etl surface_etl.cpp)
target_link_libraries(test_synfig_surface_etl PRIVATE libsynfig)
add_test(NAME test_synfig_surface_etl COMMAND test_synfig_surface_etl)

if (NOT WIN32)
set_target_properties(
        test_synfig_angle test_synfig_benchmark test_synfig_bezier test_synfig_bline test_synfig_bone test_synfig_clock test_synfig_filesystem_path test_synfig_handle test_synfig_keyframe test_synfig_node test_synfig_pen test_synfig_reference_counter test_synfig_string test_synfig_surface_etl
        PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/test
)
endif()

=== synfig-core/src/modules/CMakeLists.txt ===
##
## Includes
##

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SYNFIG_BUILD_ROOT}/lib/synfig/modules)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${SYNFIG_BUILD_ROOT}/lib/synfig/modules)

# for multi-config builds (e.g. msvc)
foreach(CONFIG_TYPE  ${CMAKE_CONFIGURATION_TYPES})
	string(TOUPPER ${CONFIG_TYPE} CONFIG_TYPE)
	set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CONFIG_TYPE} ${CMAKE_ARCHIVE_OUTPUT_DIRECTORY})
	set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CONFIG_TYPE} ${CMAKE_LIBRARY_OUTPUT_DIRECTORY})
endforeach(CONFIG_TYPE CMAKE_CONFIGURATION_TYPES)

##
## Modules
##

## TODO: make configurable
## TODO: write some macros

set(MODS_ENABLED
    lyr_freetype
    lyr_std
    mod_bmp
    mod_dv
    mod_example
    mod_ffmpeg
    mod_filter
    mod_geometry
    mod_gif
    mod_gradient
    mod_imagemagick
    mod_jpeg
#    mod_magickpp # - made optional
    mod_noise
    mod_openexr
    mod_particle
    mod_png
    mod_ppm
    mod_svg
    mod_yuv420p
#    mptr_mplayer # - "This code has vulnerabilities"
)

if(LIBMNG_FOUND)
  list(APPEND MODS_ENABLED mod_mng)
else()
  message(STATUS "mod_mng: Disabled")
endif()

if (LIBAVFORMAT_FOUND)
	list(APPEND MODS_ENABLED mod_libavcodec)
endif()

## Magick++ support
option(WITH_MAGICKPP "Enable Magick++ module (output format support)" OFF)
option(WITHOUT_MAGICKPP "Disable Magick++ module (output format support)" OFF)

if (${WITH_MAGICKPP} AND ${WITHOUT_MAGICKPP})
    message(FATAL_ERROR "You cannot request both WITH_MAGICKPP and WITHOUT_MAGICKPP!")
endif()

if (NOT ${WITHOUT_MAGICKPP} AND TARGET PkgConfig::MAGICKPP)
    list(APPEND MODS_ENABLED mod_magickpp)
elseif (${WITH_MAGICKPP} AND NOT TARGET PkgConfig::MAGICKPP)
    message(SEND_ERROR "Magick++ support is requested, but the package cannot be located.")
endif()
## Magick++ support (end)

## Process selected modules
set(SYNFIG_MODULES_CONTENT "")

message("-- Synfig modules:")
foreach(MOD IN ITEMS ${MODS_ENABLED})
    message("--   ${MOD}")
    set(SYNFIG_MODULES_CONTENT "${SYNFIG_MODULES_CONTENT}\n${MOD}")
    add_subdirectory(${MOD})
    add_dependencies(synfig_bin ${MOD})
endforeach(MOD)

file(WRITE ${SYNFIG_BUILD_ROOT}/etc/synfig_modules.cfg ${SYNFIG_MODULES_CONTENT})

install(
    FILES ${SYNFIG_BUILD_ROOT}/etc/synfig_modules.cfg
    DESTINATION etc
)

=== synfig-core/src/synfig/CMakeLists.txt ===
##
## Build targets
##

## Main target: libsynfig
## TODO: optional static linking?
add_library(libsynfig SHARED "")
set_target_properties(libsynfig PROPERTIES PREFIX "")

add_definitions(-DVERSION="${STUDIO_VERSION_MAJOR}.${STUDIO_VERSION_MINOR}.${STUDIO_VERSION_PATCH}")

message(STATUS "MLT DIR: ${MLT_INCLUDE_DIRS}")

# By default, the libtool places its headers in the system directory (/usr/local/include), and
# compiler automatically finds ltdl.h header. But on MacOS, CMake overrides the system directory
# using the `-sysroot` flag, and this header cannot be found. (https://gitlab.kitware.com/cmake/cmake/-/issues/19120)
# So, we need to manually find it.

if(APPLE OR VCPKG_TOOLCHAIN)
    find_path(LTDL_INCLUDE_DIRS ltdl.h)
    find_library(LTDL_LIBRARIES ltdl)
    message(STATUS "Libltdl headers:   ${LTDL_INCLUDE_DIRS}")
    message(STATUS "Libltdl libraries: ${LTDL_LIBRARIES}")
else()
    set(LTDL_LIBRARIES ltdl)
endif()

target_include_directories(libsynfig PUBLIC ${LTDL_INCLUDE_DIRS})

target_sources(libsynfig
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/activepoint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/bone.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/blur.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvas.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/context.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/curve_helper.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/curveset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/distance.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/exception.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/guid.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/importer.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframe.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layer.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/loadcanvas.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/module.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/node.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/os.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/palette.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/paramdesc.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/polynomial_root.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/rect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renddesc.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/render.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/savecanvas.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/string_helper.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/synfig_iterations.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/surface.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/target.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/time.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timepointcollect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/transform.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/uniqueid.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenode.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenode_registry.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypoint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/matrix.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/filesystem.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/filesystem_path.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/filesystemnative.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/filesystemgroup.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/filesystemtemporary.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/filecontainer.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/filecontainerzip.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/zstreambuf.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valueoperations.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/soundprocessor.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasfilenaming.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/token.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/threadpool.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/curve.cpp"
)

## these were added seprately in autotools build, preserving this for now
## TODO: either merge with main list or create new target
target_sources(libsynfig
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/target_multi.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/target_scanline.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/target_tile.cpp"
)
target_sources(libsynfig
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/listimporter.cpp"
)
target_sources(libsynfig
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/blinepoint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widthpoint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/dashitem.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/gradient.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/type.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/base_types.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/value.cpp"
)

##
## Sub-dirs
##

## include sub-dirs
include(color/CMakeLists.txt)
include(layers/CMakeLists.txt)
include(rendering/CMakeLists.txt)
include(valuenodes/CMakeLists.txt)

## TODO: check if we need this for release build
include(debug/CMakeLists.txt)

target_link_libraries(libsynfig PUBLIC
	PkgConfig::SIGCPP
	PkgConfig::GLIBMM
	PkgConfig::GIOMM
	PkgConfig::XMLPP
	PkgConfig::FFTW
	ZLIB::ZLIB
	${LTDL_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT}
	${Intl_LIBRARIES}
)

if (MLT_FOUND)
	target_link_libraries(libsynfig PUBLIC PkgConfig::MLT)
endif ()

## Install headers
## TODO: find a better way to do that, maybe?
file(GLOB SYNFIG_HEADERS "${CMAKE_CURRENT_LIST_DIR}/*.h")

install(
    FILES ${SYNFIG_HEADERS}
    DESTINATION include/synfig
)

install(
    TARGETS libsynfig
    EXPORT libsynfig
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)

set (LIBSYNFIG_CMAKE_CONFIG_FILE_NAME synfig-libsynfig-config.cmake)
export(
    TARGETS libsynfig
    NAMESPACE synfig::
    FILE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${LIBSYNFIG_CMAKE_CONFIG_FILE_NAME}"
)

install(
    EXPORT libsynfig
    NAMESPACE synfig::
    FILE "${LIBSYNFIG_CMAKE_CONFIG_FILE_NAME}"
    DESTINATION "lib/cmake/synfig"
)

include(CMakePackageConfigHelpers)
configure_package_config_file(
    ${CMAKE_CURRENT_LIST_DIR}/synfig-config.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/synfig-config.cmake
    INSTALL_DESTINATION synfig
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/synfig-config.cmake
    DESTINATION "lib/cmake/synfig"
)

=== synfig-core/src/tool/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,10 @@
         "${CMAKE_CURRENT_LIST_DIR}/renderprogress.cpp"
 )
 
-target_link_libraries(synfig_bin synfig)
-target_link_libraries(synfig_bin
-    ${Boost_SYSTEM_LIBRARIES}
-    ${GIOMM_LIBRARIES}
-)
+target_link_libraries(synfig_bin PRIVATE libsynfig)
+if(TCMALLOC_LIBRARY)
+    target_link_libraries(synfig_bin PRIVATE ${TCMALLOC_LIBRARY})
+endif()
 
 install (
     TARGETS synfig_bin

=== synfig-core/src/modules/lyr_freetype/CMakeLists.txt ===
add_library(lyr_freetype MODULE
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/lyr_freetype.cpp"
)

if(FONTCONFIG_FOUND)
	add_definitions(-DWITH_FONTCONFIG)
	target_link_libraries(lyr_freetype PkgConfig::FONTCONFIG)
endif()

if (HARFBUZZ_FOUND)
	target_compile_definitions(lyr_freetype PUBLIC -DHAVE_HARFBUZZ=1)
	target_link_libraries(lyr_freetype PkgConfig::HARFBUZZ)
endif()

if (FRIBIDI_STATIC_LIBRARIES)
	target_compile_definitions(lyr_freetype PRIVATE -DFRIBIDI_LIB_STATIC)
endif()

target_link_libraries(lyr_freetype libsynfig
	PkgConfig::FREETYPE2
	PkgConfig::FRIBIDI
)

install (
    TARGETS lyr_freetype
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/lyr_std/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
         "${CMAKE_CURRENT_LIST_DIR}/zoom.cpp"
 )
 
-target_link_libraries(lyr_std synfig ${GLIBMM_LIBRARIES})
+target_link_libraries(lyr_std libsynfig)
 
 install (
     TARGETS lyr_std

=== synfig-core/src/modules/mod_bmp/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
         "${CMAKE_CURRENT_LIST_DIR}/trgt_bmp.cpp"
 )
 
-target_link_libraries(mod_bmp synfig)
+target_link_libraries(mod_bmp libsynfig)
 
 install (
     TARGETS mod_bmp

=== debian/changelog ===
synfig (1.5.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * Build with harfbuzz

  [ Rodolfo Gomes ]
  * New upstream release (Closes: #1079335, #1086935)
  * Build-Depends: removed unneeded ones
    - binutils (Closes: #1032500)
    - libboost-all-dev
    - libcairo-dev
    - libpango1.0-dev
  * debian/patches:
    + 0001-buildETL-cleanup-dismissed-ETL-dependencies.patch : backported
       patch from upstream to reduce package dependencies
    - 2709.patch : patched in upstream
    - strip-build-date.patch : patched in upstream
  * Standards-Version: 4.7.2. (no changes required)

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository
  * Drop unnecessary dependency on dh-autoreconf

 -- Bastian Germann <bage@debian.org>  Fri, 02 Jan 2026 11:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: synfig
 Section: graphics
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends:
- binutils,
  debhelper-compat (= 13),
- etl-dev (>= 1.5.1~),
+ etl-dev (>= 1.5.3~),
  intltool,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libboost-all-dev,
- libcairo-dev,
  libfftw3-dev,
  libfontconfig-dev,
  libfreetype-dev,
+ libfribidi-dev,
  libgl-dev,
  libglibmm-2.4-dev,
+ libharfbuzz-dev,
  libjpeg-dev,
  libltdl-dev,
  libmagick++-dev,
@@ -27,7 +26,6 @@
  libmlt-dev,
  libmng-dev,
  libopenexr-dev,
- libpango1.0-dev,
  libpng-dev,
  libsigc++-2.0-dev,
  libswscale-dev,
@@ -58,20 +56,11 @@
 Section: libdevel
 Architecture: any
 Depends:
- etl-dev (>= 1.4.0~),
- libavcodec-dev,
- libavformat-dev,
- libavutil-dev,
- libcairo-dev,
+ etl-dev (>= 1.5.3~),
  libfftw3-dev,
- libfontconfig-dev,
- libfreetype-dev,
  libglibmm-2.4-dev,
  libmlt++-dev,
- libopenexr-dev,
- libpango1.0-dev,
  libsigc++-2.0-dev,
- libswscale-dev,
  libsynfig0t64 (= ${binary:Version}),
  libxml++2.6-dev,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf --sourcedirectory=synfig-core
+	dh $@ --sourcedirectory=synfig-core
 
 execute_after_dh_autoreconf:
 	cd synfig-core && intltoolize --force --copy
